Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.event
Class MarkerChangeEvent

    java.lang.Object
      java.util.EventObject
          org.jfree.chart.event.ChartChangeEvent
              org.jfree.chart.event.MarkerChangeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class MarkerChangeEvent

extends ChartChangeEvent

An event that can be forwarded to any `MarkerChangeListener` to signal a change to a `Marker`.

Since:
  1.0.3
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MarkerChangeEvent(Marker marker)` Creates a new `MarkerChangeEvent` instance.

Method Summary
`Marker` | `getMarker()` Returns the marker that triggered the event.

Methods inherited from class org.jfree.chart.event.ChartChangeEvent
`getChart, getType, setChart, setType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MarkerChangeEvent

    public MarkerChangeEvent(Marker marker)

  Creates a new `MarkerChangeEvent` instance.

  Parameters:
    `marker` - the marker that triggered the event (`null` not permitted).
  Since:
    1.0.3

Method Detail

### getMarker

    public Marker getMarker()

  Returns the marker that triggered the event.

  Returns:
    The marker that triggered the event (never `null`).
  Since:
    1.0.3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.